<include file="public@header"/>
<style>
    .table img{
        width:25px;
        height:25px;
    }

    #pop{
        display:none;
    }

    .red_title{
        color: #F00;
    }
</style>
</head>
<body>
<div class="wrap js-check-wrap">
    <ul class="nav nav-tabs">
        <li class="active"><a>{:lang('USER_INDEXADMIN_INDEX')}</a></li>
        <li><a href="{:url('adminIndex/add')}">{:lang('ADD')}</a></li>
    </ul>
    <form class="well form-inline margin-top-20" method="post" action="{:url('user/adminIndex/index')}">

        {:lang('BLOCK_USER')}: 
        <select class="form-control" name="iszombie">
            <option value="">{:lang('ALL')}</option>
            <option value="1" <if condition="input('request.iszombie') neq '' && input('request.iszombie') eq 1">selected</if>>{:lang('ENABLED')}</option>
            <option value="0" <if condition="input('request.iszombie') neq '' && input('request.iszombie') eq 0">selected</if>>{:lang('DISABLED')}</option>
        </select>
        {:lang('ZOMBIE')}: 
        <select class="form-control" name="iszombiep">
            <option value="">{:lang('ALL')}</option>
            <option value="1" <if condition="input('request.iszombiep') neq '' && input('request.iszombiep') eq 1">selected</if>>{:lang('YES')}</option>
            <option value="0" <if condition="input('request.iszombiep') neq '' && input('request.iszombiep') eq 0">selected</if>>{:lang('NO')}</option>
        </select>

        {:lang('BLOCK')}: 
        <select class="form-control" name="isban">
            <option value="">{:lang('ALL')}</option>
            <option value="1" <if condition="input('request.isban') neq '' && input('request.isban') eq 1">selected</if>>{:lang('YES')}</option>
            <option value="0" <if condition="input('request.isban') neq '' && input('request.isban') eq 0">selected</if>>{:lang('NO')}</option>
        </select>

        {:lang('DISABLE')}: 
        <select class="form-control" name="disable">
            <option value="">{:lang('ALL')}</option>
            <option value="1" <if condition="input('request.disable') neq '' && input('request.disable') eq 1">selected</if>>{:lang('YES')}</option>
            <option value="0" <if condition="input('request.disable') neq '' && input('request.disable') eq 0">selected</if>>{:lang('NO')}</option>
        </select>

        {:lang('HOT')}: 
        <select class="form-control" name="ishot">
            <option value="">{:lang('ALL')}</option>
            <option value="1" <if condition="input('request.ishot') neq '' && input('request.ishot') eq 1">selected</if>>{:lang('YES')}</option>
            <option value="0" <if condition="input('request.ishot') neq '' && input('request.ishot') eq 0">selected</if>>{:lang('NO')}</option>
        </select>

        {:lang('SUPER')}: 
        <select class="form-control" name="issuper">
            <option value="">{:lang('ALL')}</option>
            <option value="1" <if condition="input('request.issuper') neq '' && input('request.issuper') eq 1">selected</if>>{:lang('YES')}</option>
            <option value="0" <if condition="input('request.issuper') neq '' && input('request.issuper') eq 0">selected</if>>{:lang('NO')}</option>
        </select>
        {:lang('SOURCE')}: 
        <select class="form-control" name="source">
            <option value="">{:lang('ALL')}</option>
            <option value="pc" <if condition="input('request.source') neq '' && input('request.source') eq 'pc'">selected</if>>{:lang('PC')}</option>
            <option value="android" <if condition="input('request.source') neq '' && input('request.source') eq 'android'">selected</if>>{:lang('ANDROID_APP')}</option>
            <option value="ios" <if condition="input('request.source') neq '' && input('request.source') eq 'ios'">selected</if>>{:lang('IOS_APP')}</option>
        </select>

        {:lang('SUBMIT_TIME')}: 
        <input class="form-control js-bootstrap-date" name="start_time" id="start_time" autocomplete="off" value="{:input('request.start_time')}" aria-invalid="false" style="width: 110px;"> -
        <input class="form-control js-bootstrap-date" name="end_time" id="end_time" autocomplete='off' value="{:input('request.end_time')}" aria-invalid="false" style="width: 110px;">

        {:lang('USER_ID')}: 
        <input class="form-control" type="text" name="uid" style="width: 200px;" value="{:input('request.uid')}"
               placeholder="{:lang('USERNAME_OR_NICKNAME')}">
        {:lang('KEYWORD')}: 
        <input class="form-control" type="text" name="keyword" style="width: 200px;" value="{:input('request.keyword')}"
               placeholder="{:lang('USERNAME_OR_NICKNAME')}">
        <input type="submit" class="btn btn-primary" value="{:lang('SEARCH')}"/>
        <a class="btn btn-danger" href="{:url('user/adminIndex/index')}">{:lang('CLEAR')}</a>
        <br>
        <br>
        {:lang('USER_COUNT')}: {$nums}  ({:lang('COUNT_BASED_ON_CONDITIONS')})
    </form>
    <form method="post" class="js-ajax-form">
        <div class="table-actions">
            <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('user/adminIndex/setzombiepall',array('iszombiep'=>1))}"
                    data-subcheck="true" data-msg="{:lang('ARE_YOU_SURE_YOU_WANT_TO_PERFORM_THIS_ACTION')}？">{:lang('BATCH_SET_ZOMBIE_FANS')}
            </button>
            <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('user/adminIndex/setzombiepall',array('iszombiep'=>0))}"
                    data-subcheck="true" data-msg="{:lang('ARE_YOU_SURE_YOU_WANT_TO_PERFORM_THIS_OPERATION')}">{:lang('BULK_UNFOLLOW_ZOMBIE_FOLLOWERS')}
            </button>

            <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('user/adminIndex/setzombieall',array('iszombie'=>1))}" data-msg="{:lang('ARE_YOU_SURE_YOU_WANT_TO_PERFORM_THIS_OPERATION')}">{:lang('ONE_CLICK_TO_ACTIVATE_ZOMBIE_FOLLOWERS')}
            </button>
            <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('user/adminIndex/setzombieall',array('iszombie'=>0))}" data-msg="{:lang('ARE_YOU_SURE_YOU_WANT_TO_PERFORM_THIS_OPERATION')}">{:lang('ONE_CLICK_TO_DEACTIVATE_ZOMBIE_FOLLOWERS')}
            </button>
        </div>
        <table class="table table-hover table-bordered">
            <thead>
            <tr>
                <th width="16">
                    <label>
                        <input type="checkbox" class="js-check-all" data-direction="x" data-checklist="js-check-x">
                    </label>
                </th>
                <th>ID</th>
                <th>{:lang('COUNTRY_REGION')}</th>
                <th>{:lang('USERNAME')}</th>
                <th>{:lang('NICENAME')}</th>
                <th>{:lang('AVATAR')}</th>
                <th>{:lang('MOBILE')}</th>
                <th>{:lang('NAME_COIN_BALANCE', ['name_coin' => $name_coin])}</th>
                <th>{:lang('ACCUMULATED_CONSUMPTION_NAME_COIN', ['name_coin' => $name_coin])}</th>
                <th>{:lang('NAME_VOTES_BALANCE', ['name_votes' => $name_votes])}</th>
                <th>{:lang('TOTAL_NAME_VOTES', ['name_votes' => $name_votes])}</th>
                <th>{:lang('RMB_BALANCE')}</th>
                <th>{:lang('TOTAL_RMB_INCOME')}</th>
                <th>{:lang('TOTAL_RMB_EXPENDITURE')}</th>
                <th>{:lang('INVITATION_CODE')}</th>
                <th>{:lang('REGISTRATION_DEVICE')}</th>
                <th>{:lang('AD_VIDEO_PUBLISHER')}</th>
                <th>{:lang('REGISTRATION_TIME')}</th>
                <th>{:lang('LAST_LOGIN_TIME')}</th>
                <th>{:lang('LAST_LOGIN_IP')}</th>
                <th>{:lang('STATUS')}</th>
                <th>{:lang('ACTIONS')}</th>
            </tr>
            </thead>
            <tbody>
            <php>
                $user_statuses=array("0"=>lang('USER_STATUS_BLOCKED'),"1"=>lang('USER_STATUS_ACTIVATED'),"2"=>lang('USER_STATUS_UNVERIFIED'),"3"=>lang('DISABLED'));$isAd=array("0"=>"{:lang('NO')}","1"=>"{:lang('YES')}");
            </php>
            <foreach name="list" item="vo">
                <tr>
                    <td>
                        <input type="checkbox" class="js-check" data-yid="js-check-y" data-xid="js-check-x" name="ids[]" value="{$vo.id}">
                    </td>
                    <td>{$vo.id}</td>
                    <td><if condition="$vo['login_type'] eq 'phone'">{$vo.country_name}<else />--</if></td>
                    <td>{$vo['user_login']?$vo['user_login']:($vo['mobile']?$vo['mobile']:lang('THIRD_PARTY_USER'))}
                    </td>
                    <td>{$vo['user_nickname']?$vo['user_nickname']:lang('NOT_FILLED')}</td>
                    <td><img width="25" height="25" src="{$vo['avatar']}"/></td>
                    <td>{$vo.mobile}</td>
                    <td>{$vo.coin}</td>
                    <td>{$vo.consumption}</td>
                    <td>{$vo.votes}</td>
                    <td>{$vo.votestotal}</td>
                    <td>{$vo.balance}</td>
                    <td>{$vo.balance_total}</td>
                    <td>{$vo.balance_consumption}</td>
                    <td>{$vo.code}</td>
                    <td>{$vo.source}</td>
                    <td>{$isAd[$vo['is_ad']]}</td>
                    <td>{:date('Y-m-d H:i:s',$vo['create_time'])}</td>
                    <td><if condition="$vo['last_login_time'] gt 0">{:date('Y-m-d H:i:s',$vo['last_login_time'])}<else />--</if></td>
                    <td>{$vo.last_login_ip}</td>
                    <td>
                        <if condition="$vo['user_status'] eq '3'">
                            {:lang('DEACTIVATED')}
                            <else />



                            <if condition="$vo.user_status eq 0">
                                <span class="label label-danger">{$user_statuses[0]}</span>
                                <elseif condition="$vo.user_status eq 1 && $vo.end_bantime gt $nowtime">
                                    <span class="label label-danger">{$user_statuses[3]}</span>
                                    <br />
                                    {:lang('AS_OF')}:{:date('Y-m-d',$vo['end_bantime'])}
                                    <else/>
                                    <span class="label label-success">{$user_statuses[1]}</span>
                            </if>

                        </if>

                    </td>
                    <td>
                        <if condition="$vo['user_status'] eq '3'">
                            <!-- 已注销 -->



                            <else />
                            <!-- 未注销 -->

                            <if condition="$vo.user_status eq 0">
                                <a class="btn btn-xs btn-success js-ajax-dialog-btn"
                                   href="{:url('adminIndex/cancelban',array('id'=>$vo['id']))}"
                                   data-msg="{:lang('ACTIVATE_USER_CONFIRM_MESSAGE')}">{:lang('ACTIVATE_USER')}</a>
                                <!-- 启用 -->
                                <else/>

                                <if condition="$vo.end_bantime gt $nowtime">
                                    <a class="btn btn-xs btn-success js-ajax-dialog-btn"
                                       href="{:url('adminIndex/cancelban',array('id'=>$vo['id']))}"
                                       data-msg="{:lang('ACTIVATE_USER_CONFIRM_MESSAGE')}">{:lang('ACTIVATE_USER')}</a>
                                    <!-- 启用 -->
                                    <else/>
                                    <!--  -->
                                    <a class="btn btn-xs btn-warning"
                                       href="javascript:void(0);"
                                       onclick="showlayer({$vo['id']})">{:lang('DISABLED')}</a>
                                </if>

                                <a class="btn btn-xs btn-warning js-ajax-dialog-btn"
                                   href="{:url('adminIndex/ban',array('id'=>$vo['id']))}"
                                   data-msg="{:lang('BLOCK_USER_CONFIRM_MESSAGE')}">{:lang('BLOCK_USER')}</a>
                            </if>

                            <if condition="$vo['live_ban'] eq '1'">
                                <a class="btn btn-xs btn-warning js-ajax-dialog-btn"
                                   href="{:url('adminIndex/cancelLiveBan',array('id'=>$vo['id']))}"
                                   data-msg="{:lang('CONFIRM_UNBAN_LIVE_ROOM')}">{:lang('UNBLOCK_LIVE_STREAM')}</a>
                            </if>

                            <if condition="$vo.issuper eq '1'">
                                <a class="btn btn-xs btn-info js-ajax-dialog-btn"
                                   href="{:url('adminIndex/setsuper',array('id'=>$vo['id'],'issuper'=>0))}">{:lang('REMOVE_SUPER_ADMIN')}</a>
                                <else/>
                                <a class="btn btn-xs btn-info js-ajax-dialog-btn"
                                   href="{:url('adminIndex/setsuper',array('id'=>$vo['id'],'issuper'=>1))}">{:lang('SET_SUPER_ADMIN')}</a>
                            </if>

                            <if condition="$vo.ishot eq '1'">
                                <a class="btn btn-xs btn-info js-ajax-dialog-btn"
                                   href="{:url('adminIndex/sethot',array('id'=>$vo['id'],'ishot'=>0))}">{:lang('CANCEL_HOT')}</a>
                                <else/>
                                <a class="btn btn-xs btn-info js-ajax-dialog-btn"
                                   href="{:url('adminIndex/sethot',array('id'=>$vo['id'],'ishot'=>1))}">{:lang('HOT')}</a>
                            </if>

                            <if condition="$vo.isrecommend eq '1'">
                                <a class="btn btn-xs btn-info js-ajax-dialog-btn"
                                   href="{:url('adminIndex/setrecommend',array('id'=>$vo['id'],'isrecommend'=>0))}">{:lang('CANCEL_RECOMMEND')}</a>
                                <else/>
                                <a class="btn btn-xs btn-info js-ajax-dialog-btn"
                                   href="{:url('adminIndex/setrecommend',array('id'=>$vo['id'],'isrecommend'=>1))}">{:lang('RECOMMEND')}</a>
                            </if>

                            <if condition="$vo.iszombie eq '1'">
                                <a class="btn btn-xs btn-info js-ajax-dialog-btn"
                                   href="{:url('adminIndex/setzombie',array('id'=>$vo['id'],'iszombie'=>0))}">{:lang('CLOSE_ZOMBIE_FANS')}</a>
                                <else/>
                                <a class="btn btn-xs btn-info js-ajax-dialog-btn"
                                   href="{:url('adminIndex/setzombie',array('id'=>$vo['id'],'iszombie'=>1))}">{:lang('ENABLE_ZOMBIE_FANS')}</a>
                            </if>

                            <if condition="$vo.iszombiep eq '1'">
                                <a class="btn btn-xs btn-info js-ajax-dialog-btn"
                                   href="{:url('adminIndex/setzombiep',array('id'=>$vo['id'],'iszombiep'=>0))}">{:lang('CANCEL_SET_ZOMBIE_FANS')}</a>
                                <else/>
                                <a class="btn btn-xs btn-info js-ajax-dialog-btn"
                                   href="{:url('adminIndex/setzombiep',array('id'=>$vo['id'],'iszombiep'=>1))}">{:lang('SET_AS_ZOMBIE_FAN')}</a>
                            </if>

                        </if>


                        <a class="btn btn-xs btn-primary" href='{:url("adminIndex/edit",array("id"=>$vo["id"]))}'>{:lang('EDIT')}</a>
                        <a class="btn btn-xs btn-danger js-ajax-delete" href="{:url('adminIndex/del',array('id'=>$vo['id']))}">{:lang('DELETE')}</a>
                    </td>
                </tr>
            </foreach>
            </tbody>
        </table>
        <div class="pagination">{$page}</div>
    </form>
</div>

<div id="pop">
    <div class="wrap" style="padding-bottom:40px;">
        <form method="post" class="form-horizontal margin-top-20">
            <div class="form-group">
                <label for="input-user_login" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('DISABLE_DEADLINE')}</label>
                <div class="col-md-6 col-sm-10">
                    <input class="form-control js-bootstrap-date" name="ban_long" contenteditable="off" id="ban_long" value="" aria-invalid="false">
                </div>
            </div>

            <div class="form-group">
                <label for="input-user_login" class="col-sm-2 control-label"><span class="form-required">*</span>{:lang('DISABLE_REASON')}</label>
                <div class="col-md-6 col-sm-10">
                    <textarea class="form-control" id="ban_reason" name="ban_reason" placeholder="{:lang('MAX_CHARACTERS', ['length' => 200])}"></textarea>
                </div>
            </div>

            <div class="form-group">
                <div class="col-sm-offset-2 col-sm-10">
                    <a href="javascript:void(0)" class="btn btn-primary" onclick="xiajia_submit()">{:lang('DISABLED')}</a>
                </div>
            </div>
        </form>
    </div>
</div>

<script src="__STATIC__/js/admin.js"></script>
<script src="__STATIC__/js/laydate/laydate.js"></script>
<script>
    Wind.use('layer');
    var clickuid='0';
    function showlayer(id){
        clickuid=id;
        layer.open({
            type: 1,
            title: '{:lang("DISABLED")}',
            shadeClose: true,
            shade: 0.8,
            area: ['800px', '300px'],
            content: $('#pop'),
            success:function(){
                laydate.render({
                    elem: '#ban_long',//指定元素
                    trigger: 'click',
                    lang: 'en'
                });
            }
        });
    }


    var xiajia_status=0;
    function xiajia_submit(){
        var ban_long=$("#ban_long").val();
        var reason=$("#ban_reason").val();

        if(ban_long==''){
            layer.msg("{:lang('PLEASE_SELECT_DISABLE_END_DATE')}");
            return;
        }

        if(reason==''){
            layer.msg("{:lang('PLEASE_FILL_DISABLE_REASON')}");
            return;
        }

        if(reason.length>200){
            layer.msg("{:lang('DISABLE_REASON_MUST_BE_WITHIN_200_CHARACTERS')}");
            return;
        }

        if(xiajia_status==1){
            return;
        }
        xiajia_status=1;
        $.ajax({
            url: '{:url('user/adminIndex/setBan')}',
            type: 'POST',
            dataType: 'json',
            data: {id:clickuid,reason: reason,ban_long:ban_long},
        success:function(data){
            var code=data.code;
            if(code==0){
                layer.msg(data.msg);
                return !1;
            }

            xiajia_status=0;

            layer.msg("{:lang('OPERATION_SUCCESSFUL')}",{},function(){
                //layer.closeAll();
                clickuid=0;
                $("#ban_long").val("");
                $("#ban_reason").attr("value","");
                layer.closeAll();
                reloadPage(window);
            });
        },
        error:function(e){
        }
    });

    }
</script>
</body>
</html>